Name:           recoverjpeg
Version:        2.6.1
Release:        5%{?dist}
Summary:        Recover JPEG pictures and MOV movies from damaged devices
License:        GPLv2
URL:            http://www.rfc1149.net/devel/recoverjpeg
Source0:        http://www.rfc1149.net/download/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  python2-devel
# sort-pictures requires deps below, but if users ONLY want to recover images
# without doing anything further like sorting or duplicate checking, deps can
# be ignored.
# /bin/exif
Recommends:     exif
# /bin/identify
Recommends:     ImageMagick

%description
Recoverjpeg tries to recover JFIF (JPEG) pictures and MOV movies (using
recovermov) from a peripheral. This may be useful if you mistakenly overwrite
a partition or if a device such as a digital camera memory card is bogus.

Recoverjpeg does not include a complete JPEG parser, there is no automated way
to detect those pictures with a 100% success rate.you may need to use
sort-pictures (included in the package) afterwards to identify bogus pictures.
Some pictures may be corrupted but have a correct structure, in this case, the
image may be garbled.

%prep
%setup -q
sed -i 's|/usr/bin/python|%{__python2}|g' scripts/remove-duplicates

%build
%configure
%make_build

%install
%make_install INSTALL="install -p"

%files
%doc ChangeLog
%license COPYING
%{_bindir}/recoverjpeg
%{_bindir}/recovermov
%{_bindir}/remove-duplicates
%{_bindir}/sort-pictures
%{_mandir}/man1/*.1*

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Nov 30 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 2.6.1-1
- Update to 2.6.1

* Fri Apr 08 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 2.6-1
- Update to 2.6

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Sep 22 2015 Christopher Meng <rpm@cicku.me> - 2.4-2
- Fix startup of remove-duplicates

* Tue Sep 22 2015 Christopher Meng <rpm@cicku.me> - 2.4-1
- Update to 2.4

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.3-2
- Rebuilt for GCC 5 C++11 ABI change

* Wed Aug 20 2014 Christopher Meng <rpm@cicku.me> - 2.3-1
- Update to 2.3

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon May 27 2013 Christopher Meng <rpm@cicku.me> - 2.2.3-2
- SPEC cleanup.

* Wed May 01 2013 Christopher Meng <rpm@cicku.me> - 2.2.3-1
- Update to 2.2.3

* Sun Apr 14 2013 Christopher Meng <rpm@cicku.me> - 2.2.2-1
- Initial Package.
